# nodesnim/core/image

Dark Mode

Search:
Group by:

# Imports

../thirdparty/opengl, ../thirdparty/sdl2, ../thirdparty/sdl2/image, vector2

# Types

    GlTextureObj = object of RootObj
      texture*: GLuint
      size*: Vector2Ref

# Procs

    proc load(file: cstring; x, y: var float; mode: GLenum = GL_RGB): GLuint {...}{.
        raises: [GLerror], tags: [].}

  Loads image from file and returns texture ID.

  Arguments:

  - `file` - image path.

    proc load(file: cstring; mode: GLenum = GL_RGB): GlTextureObj {...}{.raises: [GLerror],
        tags: [].}

  Loads GL texture.

  Arguments:

  - `file` - image path.